Bug 1599852 - radosgw-admin bucket rm --bucket=${bucket} --bypass-gc --purge-objects not cleaning up objects in secondary site
Summary: radosgw-admin bucket rm --bucket=${bucket} --bypass-gc --purge-objects not cl...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW-Multisite
Version: 3.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: 3.3
Assignee: Casey Bodley
QA Contact: Tejas
URL:
Whiteboard:
: 1672952 (view as bug list)
Depends On:
Blocks: 1726135
TreeView+ depends on / blocked
 
Reported: 2018-07-10 18:20 UTC by Vikhyat Umrao
Modified: 2019-11-12 13:18 UTC (History)
9 users (show)

Fixed In Version: RHEL: ceph-12.2.12-32.el7cp Ubuntu: ceph_12.2.12-28redhat1
Doc Type: Bug Fix
Doc Text:
.`radosgw-admin bucket rm --bypass-gc` now stores timestamps for deletions Previously, objects deleted with `radosgw-admin bucket rm --bypass-gc` did not store a timestamp for the deletion. Because of this, data sync did not apply these object deletions on other zones. With this update, proper timestamps are stored for deletions, and `bucket rm` with `--bypass-gc` correctly deletes objects on all zones.
Clone Of:
Environment:
Last Closed: 2019-08-21 15:10:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Ceph Project Bug Tracker 24991 0 None None None 2018-07-19 00:56:21 UTC
Red Hat Knowledge Base (Solution) 4079421 0 Troubleshoot None Ceph - RGW Multisite - radosgw-admin bucket rm --bypass-gc flag support 2019-04-22 19:42:18 UTC
Red Hat Product Errata RHSA-2019:2538 0 None None None 2019-08-21 15:10:41 UTC

Description Vikhyat Umrao 2018-07-10 18:20:12 UTC
Description of problem:
radosgw-admin bucket rm --bucket=${bucket} --bypass-gc --purge-objects not cleaning up objects in secondary site


Version-Release number of selected component (if applicable):
Red Hat Ceph Storage 3.0

How reproducible:
Always in the customer environment.

Comment 1 Vikhyat Umrao 2018-07-10 18:24:33 UTC
ceph df output from both sites:
==================================

    p.rgw.log               6      11883         0        18578G        1987 
    p.rgw.buckets.data      7      3554M      0.02        18578G       56871 
    p.rgw.buckets.index     9          0         0        18578G        1216 
    p.rgw.meta              17      343k         0        18578G        1213 


    s.rgw.log               11     15408         0        10281G          2236  
    s.rgw.buckets.index     5          0         0        10281G          1216 
    s.rgw.buckets.data      7      6594G     39.08        10281G     110644081 
    s.rgw.meta              13      343k         0        10281G          1211

Comment 22 Vikhyat Umrao 2019-06-03 15:58:42 UTC
*** Bug 1672952 has been marked as a duplicate of this bug. ***

Comment 30 errata-xmlrpc 2019-08-21 15:10:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2538


Note You need to log in before you can comment on or make changes to this bug.